Bug 222030 - Incorrect accounting information in /proc/vmstat
Incorrect accounting information in /proc/vmstat
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Zijlstra
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-09 13:06 EST by Peter Zijlstra
Modified: 2014-08-11 01:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 21:12:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Zijlstra 2007-01-09 13:06:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1) Gecko/20061027 Firefox/2.0

Description of problem:
A very simple mistake in the introduction of the VM counter infrastructure makes for an inaccurate statistics in /proc/vmstat. A PGSTEAL event is accounted as an PGACTIVATE event thereby skewing both fields.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. put some memory pressure on a box
2. grep steal /proc/vmstat
3. notice that pgsteal_* are all zero while kswapd_steal != 0

Actual Results:
[peter@taijtu ~]$ grep steal /proc/vmstat
pgsteal_dma 0
pgsteal_dma32 0
pgsteal_normal 0
pginodesteal 0
kswapd_steal 193507
kswapd_inodesteal 30154


Expected Results:
Sum pgsteal_* > kswapd_steal

Additional info:
Comment 1 Peter Zijlstra 2007-01-09 13:09:16 EST
Posted patch

Subject: [PATCH RHEL5] Buglet in vmscan.c
Date: Mon, 08 Jan 2007 16:46:07 +0100
Comment 3 RHEL Product and Program Management 2007-01-11 09:01:15 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Jay Turner 2007-01-11 14:47:49 EST
QE ack for RHEL5.
Comment 5 Don Zickus 2007-01-12 15:15:02 EST
in 2.6.18-1.3014.el5
Comment 6 RHEL Product and Program Management 2007-02-07 21:12:34 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.